"use strict";
(function () {
	const time = 10000;
	
	function animEnd(item) {
		item.classList.remove("active");
	}
	
	function animStart(item) {
		if (item.classList.contains("active") === false) {
			item.classList.add("active");
			setTimeout(() => {
				animEnd(item);
			}, time);
		}
	}
	
	window.onload = () => {
		const items = document.querySelectorAll(".wil-swaying-photo-gallery-gallery");
		if (items == null) {
			return;
		}
		
		items.forEach((item) => {
			
			animStart(item);
			
			item.addEventListener("mouseover", () => {
				animStart(item);
			});
		});
		
	};
})();
